searchData={"content_type":"text/markdown","items":[{"doc":"Documentation for `Exyt`.\nWrapper / helper to download media from YT","ref":"Exyt.html","title":"Exyt","type":"module"},{"doc":"check_setup","ref":"Exyt.html#check_setup/0","title":"Exyt.check_setup/0","type":"function"},{"doc":"iex> Exyt.check_setup()","ref":"Exyt.html#check_setup/0-examples","title":"Examples - Exyt.check_setup/0","type":"function"},{"doc":"Downloads a media file from a valid YouTube URL.","ref":"Exyt.html#download/2","title":"Exyt.download/2","type":"function"},{"doc":"`url` (string): A valid YouTube URL.\n    `opts` (map): Download options.\n\n    Options\n\n    `:quality` (atom): The quality of the downloaded video. (:hd | :fhd | :qhd | :uhd | :best). Default is `:best`.\n    `:output_path` (string): The directory to save downloaded files. Default is the current working directory.\n    `:format` (string): The desired format of the downloaded file (\"webm\", \"mp4\", \"m4a\"). Default is \"webm\".","ref":"Exyt.html#download/2-parameters","title":"Parameters - Exyt.download/2","type":"function"},{"doc":"iex> url = \"https://www.youtube.com/watch?v=BaW_jenozKc\"\n    iex> options = %{output_path: \"/tmp/test/\", format: \"mp4\", quality: :fhd}\n    iex> Exyt.download(url, options)","ref":"Exyt.html#download/2-examples","title":"Examples - Exyt.download/2","type":"function"},{"doc":"Downloads a media file from the given URL and retrieves its local filepath.","ref":"Exyt.html#download_getting_filename/2","title":"Exyt.download_getting_filename/2","type":"function"},{"doc":"`url` (string): A URL string pointing to a media file.\n    `opts` (map): Download options.\n\n    Options\n\n    `:quality` (atom): The quality of the downloaded video. (:hd | :fhd | :qhd | :uhd | :best). Default is `:best`.\n    `:output` (string): The directory to save downloaded files. Default is the current working directory.\n    `:format` (string): The desired format of the downloaded file (\"webm\", \"mp4\", \"m4a\"). Default is \"webm\".","ref":"Exyt.html#download_getting_filename/2-parameters","title":"Parameters - Exyt.download_getting_filename/2","type":"function"},{"doc":"A tuple with two elements:\n    - `:status_request` (atom): The status of the request (:ok or :error).\n    - `:string_local_filepath` (string): The local filepath of the downloaded media file.","ref":"Exyt.html#download_getting_filename/2-returns","title":"Returns - Exyt.download_getting_filename/2","type":"function"},{"doc":"iex> url = \"https://www.youtube.com/watch?v=BaW_jenozKc\"\n    iex> options = %{output_path: \"/tmp/test/\", format: \"mp4\", quality: :fhd}\n    iex> Exyt.download_getting_filename(url, options)","ref":"Exyt.html#download_getting_filename/2-examples","title":"Examples - Exyt.download_getting_filename/2","type":"function"},{"doc":"Retrieves the description of a media file from the given URL.","ref":"Exyt.html#get_description/1","title":"Exyt.get_description/1","type":"function"},{"doc":"`url` (string): A URL string pointing to a media file.","ref":"Exyt.html#get_description/1-parameters","title":"Parameters - Exyt.get_description/1","type":"function"},{"doc":"A tuple with two elements:\n    - `:status_request` (atom): The status of the request (:ok or :error).\n    - `:string_media_description` (string): The description of the media file.","ref":"Exyt.html#get_description/1-returns","title":"Returns - Exyt.get_description/1","type":"function"},{"doc":"iex> url = \"https://www.youtube.com/watch?v=BaW_jenozKc\"\n    iex> Exyt.get_description(url)","ref":"Exyt.html#get_description/1-examples","title":"Examples - Exyt.get_description/1","type":"function"},{"doc":"Retrieves the duration of a media file from the given URL.","ref":"Exyt.html#get_duration/1","title":"Exyt.get_duration/1","type":"function"},{"doc":"`url` (string): A URL string pointing to a media file.","ref":"Exyt.html#get_duration/1-parameters","title":"Parameters - Exyt.get_duration/1","type":"function"},{"doc":"A tuple with two elements:\n    - `:status_request` (atom): The status of the request (:ok or :error).\n    - `:string_duration_in_seconds` (string): The duration of the media file in seconds.","ref":"Exyt.html#get_duration/1-returns","title":"Returns - Exyt.get_duration/1","type":"function"},{"doc":"iex> url = \"https://www.youtube.com/watch?v=BaW_jenozKc\"\n    iex> Exyt.get_duration(url)","ref":"Exyt.html#get_duration/1-examples","title":"Examples - Exyt.get_duration/1","type":"function"},{"doc":"Retrieves the filename of a media file from the given URL.","ref":"Exyt.html#get_filename/1","title":"Exyt.get_filename/1","type":"function"},{"doc":"`url` (string): A URL string pointing to a media file.","ref":"Exyt.html#get_filename/1-parameters","title":"Parameters - Exyt.get_filename/1","type":"function"},{"doc":"A tuple with two elements:\n    - `:status_request` (atom): The status of the request (:ok or :error).\n    - `:string_media_filename` (string): The filename of the media file.","ref":"Exyt.html#get_filename/1-returns","title":"Returns - Exyt.get_filename/1","type":"function"},{"doc":"iex> url = \"https://www.youtube.com/watch?v=BaW_jenozKc\"\n    iex> Exyt.get_filename(url)","ref":"Exyt.html#get_filename/1-examples","title":"Examples - Exyt.get_filename/1","type":"function"},{"doc":"Retrieves the format of a media file from the given URL.","ref":"Exyt.html#get_format/1","title":"Exyt.get_format/1","type":"function"},{"doc":"`url` (string): A URL string pointing to a media file.","ref":"Exyt.html#get_format/1-parameters","title":"Parameters - Exyt.get_format/1","type":"function"},{"doc":"A tuple with two elements:\n    - `:status_request` (atom): The status of the request (:ok or :error).\n    - `:string_media_format` (string): The format of the media file.","ref":"Exyt.html#get_format/1-returns","title":"Returns - Exyt.get_format/1","type":"function"},{"doc":"iex> url = \"https://www.youtube.com/watch?v=BaW_jenozKc\"\n    iex> Exyt.get_format(url)","ref":"Exyt.html#get_format/1-examples","title":"Examples - Exyt.get_format/1","type":"function"},{"doc":"Retrieves the ID of a media file from the given URL.","ref":"Exyt.html#get_id/1","title":"Exyt.get_id/1","type":"function"},{"doc":"`url` (string): A URL string pointing to a media file.","ref":"Exyt.html#get_id/1-parameters","title":"Parameters - Exyt.get_id/1","type":"function"},{"doc":"A tuple with two elements:\n    - `:status_request` (atom): The status of the request (:ok or :error).\n    - `:string_media_id` (string): The ID of the media file.","ref":"Exyt.html#get_id/1-returns","title":"Returns - Exyt.get_id/1","type":"function"},{"doc":"iex> url = \"https://www.youtube.com/watch?v=BaW_jenozKc\"\n    iex> Exyt.get_id(url)","ref":"Exyt.html#get_id/1-examples","title":"Examples - Exyt.get_id/1","type":"function"},{"doc":"Retrieves the thumbnail URL of a media file from the given URL.","ref":"Exyt.html#get_thumbnail/1","title":"Exyt.get_thumbnail/1","type":"function"},{"doc":"`url` (string): A URL string pointing to a media file.","ref":"Exyt.html#get_thumbnail/1-parameters","title":"Parameters - Exyt.get_thumbnail/1","type":"function"},{"doc":"A tuple with two elements:\n    - `:status_request` (atom): The status of the request (:ok or :error).\n    - `:string_thumbnail_url` (string): The URL of the media file's thumbnail.","ref":"Exyt.html#get_thumbnail/1-returns","title":"Returns - Exyt.get_thumbnail/1","type":"function"},{"doc":"iex> url = \"https://www.youtube.com/watch?v=BaW_jenozKc\"\n    iex> Exyt.get_thumbnail(url)","ref":"Exyt.html#get_thumbnail/1-examples","title":"Examples - Exyt.get_thumbnail/1","type":"function"},{"doc":"Retrieves the title of a media file from the given URL.","ref":"Exyt.html#get_title/1","title":"Exyt.get_title/1","type":"function"},{"doc":"`url` (string): A URL string pointing to a media file.","ref":"Exyt.html#get_title/1-parameters","title":"Parameters - Exyt.get_title/1","type":"function"},{"doc":"A tuple with two elements:\n    - `:status_request` (atom): The status of the request (:ok or :error).\n    - `:string_media_title` (string): The title of the media file.","ref":"Exyt.html#get_title/1-returns","title":"Returns - Exyt.get_title/1","type":"function"},{"doc":"iex> url = \"https://www.youtube.com/watch?v=BaW_jenozKc\"\n    iex> Exyt.get_title(url)","ref":"Exyt.html#get_title/1-examples","title":"Examples - Exyt.get_title/1","type":"function"},{"doc":"Retrieves the media URL from the given URL.","ref":"Exyt.html#get_url/1","title":"Exyt.get_url/1","type":"function"},{"doc":"`url` (string): A URL string pointing to a media file.","ref":"Exyt.html#get_url/1-parameters","title":"Parameters - Exyt.get_url/1","type":"function"},{"doc":"A tuple with two elements:\n    - `:status_request` (atom): The status of the request (:ok or :error).\n    - `:string_media_url` (string): The URL of the media file.","ref":"Exyt.html#get_url/1-returns","title":"Returns - Exyt.get_url/1","type":"function"},{"doc":"iex> url = \"https://www.youtube.com/watch?v=BaW_jenozKc\"\n    iex> Exyt.get_url(url)","ref":"Exyt.html#get_url/1-examples","title":"Examples - Exyt.get_url/1","type":"function"},{"doc":"Checks if a URL string is valid.","ref":"Exyt.html#is_valid_url?/1","title":"Exyt.is_valid_url?/1","type":"function"},{"doc":"`url` (string): A URL string to be checked for validity.","ref":"Exyt.html#is_valid_url?/1-parameters","title":"Parameters - Exyt.is_valid_url?/1","type":"function"},{"doc":"A boolean indicating whether the URL is valid (true) or not (false).","ref":"Exyt.html#is_valid_url?/1-returns","title":"Returns - Exyt.is_valid_url?/1","type":"function"},{"doc":"iex> valid_url = \"https://www.youtube.com/watch?v=BaW_jenozKc\"\n    iex> Exyt.is_valid_url?(valid_url)\n    true","ref":"Exyt.html#is_valid_url?/1-examples","title":"Examples - Exyt.is_valid_url?/1","type":"function"},{"doc":"","ref":"Exyt.html#list_formats/1","title":"Exyt.list_formats/1","type":"function"},{"doc":"Validates a URL string to check if it's a valid YouTube URL.","ref":"Exyt.html#validate_url/1","title":"Exyt.validate_url/1","type":"function"},{"doc":"-`url` (string): A URL string to be validated.","ref":"Exyt.html#validate_url/1-parameters","title":"Parameters - Exyt.validate_url/1","type":"function"},{"doc":"A tuple representing the validation result:\n  - `{:ok, valid_url}` (tuple): If the URL is a valid YouTube URL.\n  - `{:error, :invalid_youtube_url}` (tuple): If the URL is not a valid YouTube URL.","ref":"Exyt.html#validate_url/1-returns","title":"Returns - Exyt.validate_url/1","type":"function"},{"doc":"iex> url = \"https://www.youtube.com/watch?v=BaW_jenozKc\"\n    iex> Exyt.validate_url(url)","ref":"Exyt.html#validate_url/1-examples","title":"Examples - Exyt.validate_url/1","type":"function"},{"doc":"call ytdlp with custom params","ref":"Exyt.html#ytdlp/2","title":"Exyt.ytdlp/2","type":"function"},{"doc":"iex> Exyt.ytdlp([\"--get-filename\"], \"https://www.youtube.com/watch?v=BaW_jenozKc\")","ref":"Exyt.html#ytdlp/2-examples","title":"Examples - Exyt.ytdlp/2","type":"function"},{"doc":"","ref":"Exyt.Media.html","title":"Exyt.Media","type":"module"},{"doc":"","ref":"Exyt.Media.html#download/2","title":"Exyt.Media.download/2","type":"function"},{"doc":"","ref":"Exyt.Media.html#download_getting_filename/2","title":"Exyt.Media.download_getting_filename/2","type":"function"},{"doc":"","ref":"Exyt.Media.html#get_description/1","title":"Exyt.Media.get_description/1","type":"function"},{"doc":"","ref":"Exyt.Media.html#get_duration/1","title":"Exyt.Media.get_duration/1","type":"function"},{"doc":"","ref":"Exyt.Media.html#get_filename/1","title":"Exyt.Media.get_filename/1","type":"function"},{"doc":"","ref":"Exyt.Media.html#get_format/1","title":"Exyt.Media.get_format/1","type":"function"},{"doc":"","ref":"Exyt.Media.html#get_id/1","title":"Exyt.Media.get_id/1","type":"function"},{"doc":"","ref":"Exyt.Media.html#get_thumbnail/1","title":"Exyt.Media.get_thumbnail/1","type":"function"},{"doc":"","ref":"Exyt.Media.html#get_title/1","title":"Exyt.Media.get_title/1","type":"function"},{"doc":"","ref":"Exyt.Media.html#get_url/1","title":"Exyt.Media.get_url/1","type":"function"},{"doc":"","ref":"Exyt.Media.html#list_formats/1","title":"Exyt.Media.list_formats/1","type":"function"},{"doc":"","ref":"Exyt.Media.html#ytdlp/2","title":"Exyt.Media.ytdlp/2","type":"function"},{"doc":"","ref":"Exyt.Requirements.html","title":"Exyt.Requirements","type":"module"},{"doc":"","ref":"Exyt.Requirements.html#check_setup/0","title":"Exyt.Requirements.check_setup/0","type":"function"},{"doc":"","ref":"Exyt.Settings.html","title":"Exyt.Settings","type":"module"},{"doc":"","ref":"Exyt.Settings.html#quality/1","title":"Exyt.Settings.quality/1","type":"function"},{"doc":"","ref":"Exyt.URL.html","title":"Exyt.URL","type":"module"},{"doc":"","ref":"Exyt.URL.html#is_valid?/1","title":"Exyt.URL.is_valid?/1","type":"function"},{"doc":"","ref":"Exyt.URL.html#validate/1","title":"Exyt.URL.validate/1","type":"function"},{"doc":"","ref":"Exyt.YTdlp.html","title":"Exyt.YTdlp","type":"module"},{"doc":"","ref":"Exyt.YTdlp.html#call/1","title":"Exyt.YTdlp.call/1","type":"function"},{"doc":"","ref":"Exyt.YTdlp.html#call_returning_filepath/1","title":"Exyt.YTdlp.call_returning_filepath/1","type":"function"}]}